Bug 475637 - [LTC 5.4 FEAT] spu-tools maintenance from upstream [201776]
[LTC 5.4 FEAT] spu-tools maintenance from upstream [201776]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libspe2 (Show other bugs)
5.4
ppc64 All
high Severity high
: alpha
: 5.4
Assigned To: Petr Machata
BaseOS QE
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 483784
  Show dependency treegraph
 
Reported: 2008-12-09 16:21 EST by IBM Bug Proxy
Modified: 2015-05-04 21:34 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50368 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 16:21:35 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201776]
a. Name of Feature:	spu-tools maintenance from upstream
b. Feature Description
Update the spu-tools package to the latest level made available upstream at
http://sourceforge.net/projects/libspe  which is currently (as of 11/2008) spu-tools-2.3.0.135.tar.gz

2. Feature Details:
Sponsor:	QDC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Backport
Category:	Cell
Request Type:	Package - Version Update
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	http://sourceforge.net/projects/libspe

3. Business Case
Include fixes and updates to the spu-tools package to provide optimal support for Cell in RHEL5.4.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com, 49-7031-16-4198

Technical contact(s):
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com
Comment 1 John Jarvis 2008-12-22 12:31:37 EST
IBM is signed up to test and provide feedback.
Comment 2 IBM Bug Proxy 2009-01-23 11:50:42 EST
Hello Red Hat,
with the code due date for RHEL5.4 at 1/26 in mind I would like to ask you for your advise
whether you plan to update the spu-tools package directly from upstream (as originally requested in this RHEL5.4 feature request) or whether we should provide you a patch which upgrades the spu-tools package as contained in RHEL5.3 to the upstream level ...
... please advise.
Thanks for your support.
Comment 3 Hanns-Joachim Uhl 2009-01-26 03:44:34 EST
Hello Petr,
in LTC bug 50367  -  RH475619- [LTC 5.4 FEAT] libspe2 and elfspe2 maintenance from upstream [201775] 
you have answered the question in the previous comment as follows:
"
Whichever method is fine by me, there's really no difference packaging-wise,
compatibility concerns are the same, etc.  I can rebase easily given the three
acks get resolved.  The 26/1 deadline is related to scoping phase, acks will
appear after that.  I will fetch the latest code that you have upstream when I
do the packaging.
"
.. I assume that the answer to this question in this bugzilla is the same ..
... correct ..?
Thanks for your support.
Comment 4 Petr Machata 2009-01-26 07:31:39 EST
Yes, that applies here, too.
Comment 5 IBM Bug Proxy 2009-01-26 10:21:54 EST
Hello Petr,
thanks for the quick response ..
... yes, please fetch the most current code for this RHEL5.4 feature request from upstream and please keep us informed in case of any question.
Thanks for your support.
Comment 7 IBM Bug Proxy 2009-02-04 12:50:42 EST
Hello Petr,
fyi ... please use the most current version -136 of the spu-tools package as
donwloadable from
http://downloads.sourceforge.net/libspe/spu-tools-2.3.0.136.tar.gz?modtime=1233760712&big_mirror=0
for integration into RHEL5.4.
Thanks for your support.
Comment 10 John Jarvis 2009-03-31 13:56:05 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 12 Chris Ward 2009-06-14 19:18:46 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 13 Chris Ward 2009-07-03 14:17:13 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 14 IBM Bug Proxy 2009-07-09 04:41:32 EDT
------- Comment From gerhard.stenzel@de.ibm.com 2009-07-09 04:37 EDT-------
Verified in RHEL 5.4 Beta .. closing Bugzilla
Comment 16 errata-xmlrpc 2009-09-02 05:17:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1263.html

Note You need to log in before you can comment on or make changes to this bug.